Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1099083 - Need warning message for moving sparse disk from file to block as it will become preallocated
Summary: Need warning message for moving sparse disk from file to block as it will bec...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Daniel Erez
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard: storage
Depends On:
Blocks: 1102784 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-05-19 12:56 UTC by Aharon Canan
Modified: 2016-02-10 19:26 UTC (History)
11 users (show)

Fixed In Version: ovirt-engine-3.5.0_beta
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1102784 (view as bug list)
Environment:
Last Closed:
oVirt Team: Storage
Target Upstream Version:
scohen: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 27916 master MERGED webadmin: warning on move disks from file to block Never
oVirt gerrit 28315 master MERGED webadmin: MoveDiskModel - extract SD selection callback Never

Description Aharon Canan 2014-05-19 12:56:28 UTC
Description of problem:
when moving raw sparse (thin) disk from file domain to block domain it becomes pre-allocated instead of remaining thin.
We should add warning message about it.

Version-Release number of selected component (if applicable):
av9

How reproducible:
100%

Steps to Reproduce:
1. create thin disk on file
2. move it to block domain
3.

Actual results:
no warning message appears saying the disk will become pre-allocated

Expected results:
need warning

Additional info:

Comment 1 Allon Mureinik 2014-05-19 14:42:23 UTC
Text for the warning:

"You are attempting to move a disk from a domain of type ${srcType} to a domain of type ${dstType}. This will cause the disk to become preallocated, and it may consume considerably more space on the target domain."

Comment 7 Kevin Alon Goldblatt 2014-06-19 12:12:44 UTC
I ran the same scenario with 3.5 and no message was generated informing the user that the thin volume would become preallocated when moving it to the new block storage domain. Upon investigation found that the fix was not included in Alpha2. Will be included in the next version

Comment 8 Allon Mureinik 2014-06-19 12:19:53 UTC
Yup. Fixes were merged, but after the alpha2 build.
Moving to MODIFIED until another build is released.

Comment 9 Kevin Alon Goldblatt 2014-07-06 13:18:34 UTC
I moved a thin disk to a block device using 3.5 beta. A message is now displayed indicating that the disk will become preallocated during the move. Moving to 
Verified

Comment 10 Allon Mureinik 2015-02-16 19:12:16 UTC
RHEV-M 3.5.0 has been released, closing this bug.

Comment 11 Allon Mureinik 2015-02-16 19:12:17 UTC
RHEV-M 3.5.0 has been released, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.